| Home | Libraries | People | FAQ | More

##### posix::basic_descriptor::close (1 of 2 overloads)

Close the descriptor.

    void close();

This function is used to close the descriptor. Any asynchronous read or write operations will be cancelled immediately, and will complete with the `boost::asio::error::operation_aborted` error.

###### Exceptions

boost::system::system_error

  Thrown on failure.